### Hierarchy

- GBConversationalService

### Implements

- IGBConversationalService

## Index

### Constructors

- constructor

### Properties

- coreService

### Methods

- runNLP
- sendEvent

## Constructors

### constructor

- new GBConversationalService(coreService: GBCoreService): GBConversationalService

- - Defined in deploy/core.gbapp/services/GBConversationalService.ts:52

  #### Parameters

  - ##### coreService: GBCoreService

  #### Returns GBConversationalService

## Properties

### coreService

coreService: GBCoreService

- Defined in deploy/core.gbapp/services/GBConversationalService.ts:52

## Methods

### runNLP

- runNLP(session: Session, min: GBMinInstance, text: string, cb: GBServiceCallback<any>): void

- - Defined in deploy/core.gbapp/services/GBConversationalService.ts:66

  #### Parameters

  - ##### session: Session

  - ##### min: GBMinInstance

  - ##### text: string

  - ##### cb: GBServiceCallback<any>

  #### Returns void

### sendEvent

- sendEvent(session: Session, name: string, value: any): void

- - Defined in deploy/core.gbapp/services/GBConversationalService.ts:58

  #### Parameters

  - ##### session: Session

  - ##### name: string

  - ##### value: any

  #### Returns void

Generated using TypeDoc